Overview | Package | Class | Tree | Deprecated | Index | Help
| JSP 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.el
Class ImplicitObjectELResolver

    java.lang.Object
      javax.el.ELResolver
          javax.servlet.jsp.el.ImplicitObjectELResolver

    public class ImplicitObjectELResolver

extends javax.el.ELResolver

Since:
  2.1

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`ImplicitObjectELResolver()`

Method Summary
`java.lang.Class<java.lang.String>` | `getCommonPropertyType(javax.el.ELContext context, java.lang.Object base)`
`java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors(javax.el.ELContext context, java.lang.Object base)`
`java.lang.Class` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`void` | `setValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class javax.el.ELResolver
`invoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitObjectELResolver

    public ImplicitObjectELResolver()

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)
                              throws java.lang.NullPointerException,
                                     javax.el.PropertyNotFoundException,
                                     javax.el.ELException

  Specified by:
    `getValue` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### getType

    public java.lang.Class getType(javax.el.ELContext context,
                                   java.lang.Object base,
                                   java.lang.Object property)
                            throws java.lang.NullPointerException,
                                   javax.el.PropertyNotFoundException,
                                   javax.el.ELException

  Specified by:
    `getType` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### setValue

    public void setValue(javax.el.ELContext context,
                         java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws java.lang.NullPointerException,
                         javax.el.PropertyNotFoundException,
                         javax.el.PropertyNotWritableException,
                         javax.el.ELException

  Specified by:
    `setValue` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.PropertyNotWritableException`
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(javax.el.ELContext context,
                              java.lang.Object base,
                              java.lang.Object property)
                       throws java.lang.NullPointerException,
                              javax.el.PropertyNotFoundException,
                              javax.el.ELException

  Specified by:
    `isReadOnly` in class `javax.el.ELResolver`
  Throws:
    `java.lang.NullPointerException`
    `javax.el.PropertyNotFoundException`
    `javax.el.ELException`

### getFeatureDescriptors

    public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors(javax.el.ELContext context,
                                                                                  java.lang.Object base)

  Specified by:
    `getFeatureDescriptors` in class `javax.el.ELResolver`

### getCommonPropertyType

    public java.lang.Class<java.lang.String> getCommonPropertyType(javax.el.ELContext context,
                                                                   java.lang.Object base)

  Specified by:
    `getCommonPropertyType` in class `javax.el.ELResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSP 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.